package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * Device product enum对象 manage_device_dictionary
 * 
 * @author ruoyi
 * @date 2024-09-03
 */
public class ManageDeviceDictionary extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** This parameter corresponds to the domain in the Product Type section of the document. 0: drone; 1: payload; 2: remote control; 3: dock; */
    @Excel(name = "This parameter corresponds to the domain in the Product Type section of the document. 0: drone; 1: payload; 2: remote control; 3: dock;")
    private Long domain;

    /** This parameter corresponds to the type in the Product Type section of the document. */
    @Excel(name = "This parameter corresponds to the type in the Product Type section of the document.")
    private Long deviceType;

    /** This parameter corresponds to the sub_type in the Product Type section of the document. */
    @Excel(name = "This parameter corresponds to the sub_type in the Product Type section of the document.")
    private Long subType;

    /** This parameter corresponds to the name in the Product Type section of the document. */
    @Excel(name = "This parameter corresponds to the name in the Product Type section of the document.")
    private String deviceName;

    /** remark */
    @Excel(name = "remark")
    private String deviceDesc;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setDomain(Long domain) 
    {
        this.domain = domain;
    }

    public Long getDomain() 
    {
        return domain;
    }
    public void setDeviceType(Long deviceType) 
    {
        this.deviceType = deviceType;
    }

    public Long getDeviceType() 
    {
        return deviceType;
    }
    public void setSubType(Long subType) 
    {
        this.subType = subType;
    }

    public Long getSubType() 
    {
        return subType;
    }
    public void setDeviceName(String deviceName) 
    {
        this.deviceName = deviceName;
    }

    public String getDeviceName() 
    {
        return deviceName;
    }
    public void setDeviceDesc(String deviceDesc) 
    {
        this.deviceDesc = deviceDesc;
    }

    public String getDeviceDesc() 
    {
        return deviceDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("domain", getDomain())
            .append("deviceType", getDeviceType())
            .append("subType", getSubType())
            .append("deviceName", getDeviceName())
            .append("deviceDesc", getDeviceDesc())
            .toString();
    }
}
